Subject: bug#31169: 26.1; Emacs 26.1 RC1 (gtk) display issues over SSH/X11 with xming/vcxsrv

From: Noam Postavsky <[email-masked]>
Date: Mon, 18 Jun 2018 20:16:50 -0400

merge 25474 31169
quit

Eli Zaretskii <[email-masked]> writes:

> So I guess we could simply fall back to the selected frame if no frame
> is visible.  I wouldn't remove the test or fancy-splash-frame
> entirely, because there could be several frames to choose from, and
> this same code runs when the user invokes about-emacs in the middle of
> a session.

Ah, I had indeed missed that this function can be called in the middle
of a session.  I added the selected frame as a fallback in master [1:
91ebbbfa10], and I'm merging this bug to #25474.

[1: 91ebbbfa10]: 2018-06-18 20:02:03 -0400
  Default to splash on current frame, if none visible (Bug#31169)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=91ebbbfa107c60db84e09d54d952ffd969821ccb